Get Batch Status
curl --request GET \
--url https://api.embedreach.com/api/batches/{batchId}import requests
url = "https://api.embedreach.com/api/batches/{batchId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/batches/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"progress": {
"totalRecords": 123,
"processedRecords": 123,
"successfulRecords": 123,
"pendingRecords": 123,
"failedRecords": 123,
"successRate": 123
},
"completedAt": "<string>",
"startedAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>",
"schemaDefinitionId": "<string>",
"errors": {
"summary": {},
"details": {},
"message": "<string>"
},
"pendingResources": [
{
"id": "<string>",
"resourceExternalId": "<string>",
"schemaDefinitionId": "<string>",
"missingDependencies": [
{
"schemaDefinitionId": "<string>",
"externalId": "<string>",
"schemaName": "<string>"
}
],
"expiresAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>"
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Batch Operations
Get Batch Status
Retrieves the current status, progress, and any error details for a batch operation.
GET
/
api
/
batches
/
{batchId}
Get Batch Status
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The batch ID to check status for
Query Parameters
Whether to include detailed information about pending resources and their dependencies
Available options:
true, false ⌘I